<template>
  <div class="product-insights-deliverability-content">
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Stock') }}</div>
        <div class="product-insights-value">
          <span v-if="product.stock">{{ product.stock }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Available stock') }}</div>
        <div class="product-insights-value">
          <span v-if="product.availableStock">{{ product.availableStock }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Clearance sale') }}</div>
        <div class="product-insights-value">
          <span v-if="product.isCloseout" class="is-true">{{ $t('yes') }}</span>
          <span v-else class="is-false">{{ $t('no') }}</span>
        </div>
      </div>
    </div>
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Delivery time') }}</div>
        <div class="product-insights-value">
          <span v-if="product.deliveryTime">{{ getTranslatedProperty(product.deliveryTime, 'name') }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Restock time in days') }}</div>
        <div v-if="product.restockTime" class="product-insights-value">
          {{ product.restockTime }}
          <span v-if="product.restockTime === 1">{{ $t('day') }}</span>
          <span v-else>{{ $t('days') }}</span>
        </div>
        <div v-else class="product-insights-value">
          <span>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Free shipping') }}</div>
        <div class="product-insights-value">
          <span v-if="product.shippingFree" class="is-true">{{ $t('yes') }}</span>
          <span v-else class="is-false">{{ $t('no') }}</span>
        </div>
      </div>
    </div>
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Min order quantity') }}</div>
        <div class="product-insights-value">
          <span v-if="product.minPurchase">{{ product.minPurchase }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Purchase steps') }}</div>
        <div class="product-insights-value">
          <span v-if="product.purchaseSteps">{{ product.purchaseSteps }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Max order quantity') }}</div>
        <div class="product-insights-value">
          <span v-if="product.maxPurchase">{{ product.maxPurchase }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { getTranslatedProperty } from "@shopware-pwa/helpers";

export default {
  name: "InsightsDeliverability",
  components: {},
  props: {
    product: {
      type: [Object,Array,String],
      default: null,
    },
  },
  setup() {
    return {
      getTranslatedProperty
    }
  }
}
</script>

<style lang="scss" scoped>
@import "@/assets/scss/variables";
</style>
